package com.hzya.frame.sys.voucher.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @description: 凭证单据  entity
 * @tableName: sys_voucher
 * @entityName: VoucherEntity
 * @author: gjh
 * @history: 1.0
 */
public class VoucherEntityDto  extends BaseEntity  {
	/** 单据类型 */
	private String receipt_type;

	/** 凭证字 */
	private String vou;
	/** 单据标题 */
	private String receipt_title;
	/** 制单状态 */
	private String receipt_status;
	/** 年度 */
	private String year;
	/** 会计期间 */
	private String ap;
	/** 分录合并 */
	private String consolidationEntries;
	/** 排序类型 */
	private String sortsType;
	/** id */
	private List<String> ids;
	/** 帐套号 */
	private String sobs;

	public String getSobs() {
		return sobs;
	}

	public void setSobs(String sobs) {
		this.sobs = sobs;
	}

	public String getSortsType() {
		return sortsType;
	}

	public void setSortsType(String sortsType) {
		this.sortsType = sortsType;
	}

	public String getConsolidationEntries() {
		return consolidationEntries;
	}

	public String getVou() {
		return vou;
	}

	public void setVou(String vou) {
		this.vou = vou;
	}

	public void setConsolidationEntries(String consolidationEntries) {
		this.consolidationEntries = consolidationEntries;
	}

	public String getReceipt_type() {
		return receipt_type;
	}

	public void setReceipt_type(String receipt_type) {
		this.receipt_type = receipt_type;
	}

	public String getReceipt_title() {
		return receipt_title;
	}

	public void setReceipt_title(String receipt_title) {
		this.receipt_title = receipt_title;
	}

	public String getReceipt_status() {
		return receipt_status;
	}

	public void setReceipt_status(String receipt_status) {
		this.receipt_status = receipt_status;
	}

	public String getYear() {
		return year;
	}

	public void setYear(String year) {
		this.year = year;
	}

	public String getAp() {
		return ap;
	}

	public void setAp(String ap) {
		this.ap = ap;
	}

	public List<String> getIds() {
		return ids;
	}

	public void setIds(List<String> ids) {
		this.ids = ids;
	}
}
